Project

General

Profile

致命的 #714

mikutter以外でリストを追加したあとmikutterを起動すると、リスト更新時にクラッシュする?

Added by toshi_a 初音 almost 5 years ago. Updated almost 5 years ago.

Status:
却下
Priority:
通常
Assignee:
-
Target version:
Start date:
2014-09-29
Due date:
% Done:

0%

プラグイン名:

Description

たまに来ているエラー報告。
再現出来たが、起動して暫くしたら突然クラッシュした。
リストを別のクライアントで追加したことが原因か

TypeError destroyed GLib::Object
(eval):1:in `model'
{MIKUTTER_DIR}/core/mui/gtk_listlist.rb:46:in `block in add_hook'
{MIKUTTER_DIR}/core/mui/gtk_listlist.rb:45:in `each'
{MIKUTTER_DIR}/core/mui/gtk_listlist.rb:45:in `add_hook'
{MIKUTTER_DIR}/core/mui/gtk_listlist.rb:27:in `block in set_auto_getter'
{MIKUTTER_DIR}/core/event_listener.rb:25:in `call'
{MIKUTTER_DIR}/core/event_listener.rb:25:in `update'
/usr/local/Cellar/ruby/2.1.2/lib/ruby/2.1.0/observer.rb:196:in `block in notify_observers'
/usr/local/Cellar/ruby/2.1.2/lib/ruby/2.1.0/observer.rb:195:in `each'
/usr/local/Cellar/ruby/2.1.2/lib/ruby/2.1.0/observer.rb:195:in `notify_observers'
{MIKUTTER_DIR}/core/event.rb:46:in `block (2 levels) in call'
{MIKUTTER_DIR}/core/event.rb:46:in `catch'
{MIKUTTER_DIR}/core/event.rb:46:in `block in call'
{MIKUTTER_DIR}/vendor/bundle/ruby/2.1.0/gems/delayer-0.0.2/lib/delayer/procedure.rb:24:in `call'
{MIKUTTER_DIR}/vendor/bundle/ruby/2.1.0/gems/delayer-0.0.2/lib/delayer/procedure.rb:24:in `run'
{MIKUTTER_DIR}/vendor/bundle/ruby/2.1.0/gems/delayer-0.0.2/lib/delayer/extend.rb:58:in `run_once'
{MIKUTTER_DIR}/vendor/bundle/ruby/2.1.0/gems/delayer-0.0.2/lib/delayer/extend.rb:30:in `run'
{MIKUTTER_DIR}/vendor/bundle/ruby/2.1.0/gems/delayer-0.0.2/lib/delayer.rb:43:in `method_missing'
{MIKUTTER_DIR}/core/plugin/gtk/delayer.rb:10:in `block in boot'
{MIKUTTER_DIR}/core/plugin/gtk/mainloop.rb:10:in `call'
{MIKUTTER_DIR}/core/plugin/gtk/mainloop.rb:10:in `main'
{MIKUTTER_DIR}/core/plugin/gtk/mainloop.rb:10:in `mainloop'
mikutter.rb:63:in `boot!'
mikutter.rb:92:in `<main>'

History

#1

Updated by toshi_a 初音 almost 5 years ago

  • Status changed from 新規 to 却下

3.1のlistプラグインの書き換えで再現しなくなっています。
3.0ではもう対応しません。

Also available in: Atom PDF